Create Evaluation Set Run
Create and start an async evaluation set run. The response returns the evaluation set run object with its initial status; use GET /evaluation_set_runs/{id} to poll for completion.
Evaluation set runs are currently supported for document processor evaluation sets.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.
Request
Response
The type of object. In this case, it will always be "evaluation_set_run".
The unique identifier for this evaluation set run.
Example: "bpr_Xj8mK2pL9nR4vT7qY5wZ"
The ID of the evaluation set that was run.
Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"
The status of a batch run:
"PENDING"- The batch has been created and is waiting to be processed"PROCESSING"- The batch is currently being processed"PROCESSED"- All runs in the batch have completed successfully"FAILED"- The batch failed to process"CANCELLED"- The batch was cancelled
The time (in UTC) at which the object was created. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"
The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"

